﻿@model IEnumerable<string>
@{
    ViewBag.Title = "Error";
}

<div class="alert alert-danger">
    @switch (Model.Count())
    {
        case 0:
            @: Something went wrong. Please try again!
            break;
        case 1:
            @Model.First();
            break;
        default:
            @: The following errors were found:
            <ul>
                @foreach (string error in Model)
                {
                    <li>@error</li>
                }
            </ul>
            break;
    }
</div>
@Html.ActionLink("OK", "Index", "Home", null, new { @class = "btn btn-default" })

